hit_attachments = {}

addhook("hit","AM.Hit")
function AM.Hit(id,source,wpn,hpdmg,apdmg,rawdmg)
	local r
	for k, f in pairs(hit_attachments) do
		local v = f(id, source, wpn, hpdmg, apdmg, rawdmg)
		if v and v == 1 then r = 1 end
	end
	return r
end

function CreateHitAttachment(f)
	table.insert(hit_attachments, f)
end